Table of Contents

## Name

im_header_int, im_header_double, im_header_string - read fields from the image header

## Synopsis

#include <vips/vips.h>

int im_header_int( IMAGE *image, const char *field, int *out )
int im_header_double( IMAGE *image, const char *field, double *out )
int im_header_string( IMAGE *image, const char *field, char **out )

## Description

im_header_int() reads the value of the integer header fields. These are "Xsize", "Ysize", "Bands", "Bbits", "BandFmt", "Coding", and "Type".

im_header_double() reads the value of the integer header fields. These are "Xres", and "Yres".

im_header_string() reads the value of the integer header fields. These are "Hist", and "filename".

## Return Value

All functions returns 0 on success and -1 on error.

## See Also

im_close(3) , im_open(3) , `VIPS Library Programmers' Guide,' in accompanying documentation.

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also